﻿using igGridEntityFramework.Data;
using System.Web.Mvc;
using igGridEntityFramework.Models;

namespace igGridEntityFramework.Controllers
{
    public class HomeController : Controller
    {
        private ApplicationContext db = new ApplicationContext();

        public ActionResult Index()
        {
            //  Create our ViewModel
            HomeViewModel viewModel = new HomeViewModel();

            //  Set up countries grid.
            CustomGridModel grid = new CustomGridModel();
            grid.DataSource = db.TestCountries;
            viewModel.CountriesGrid = grid;

            //  Set up products grid.
            grid = new CustomGridModel();
            grid.DataSource = db.TestProducts;
            viewModel.ProductsGrid = grid;

            return View(viewModel);
        }
    }

    public class HomeViewModel
    {
        public CustomGridModel CountriesGrid { get; set; }
        public CustomGridModel ProductsGrid { get; set; }
    }
}