﻿using Infragistics.Web.Mvc;
using System;
using System.ComponentModel;

namespace igGridEntityFramework.Models
{
    public class CustomGridModel : GridModel
    {
        public CustomGridModel()
        {
            Width = "800px";
            Height = "600px";

            GridUpdating updating = new GridUpdating();
            updating.EditMode = GridEditMode.Row;
            updating.EnableAddRow = false;
            updating.EnableDeleteRow = false;
            Features.Add(updating);
        }

        public new object DataSource
        {
            get
            {
                return base.DataSource;
            }
            set
            {
                base.DataSource = value;

                //  Calculate the primary key for the data.
                String pk = "";
                Type type = value.GetType().GetGenericArguments()[0];
                PropertyDescriptorCollection properties = TypeDescriptor.GetProperties(type);
                foreach (PropertyDescriptor prop in properties)
                {
                    bool isKey = Attribute.IsDefined(type.GetProperty(prop.Name), typeof(System.ComponentModel.DataAnnotations.KeyAttribute));
                    if (isKey)
                    {
                        pk += prop.Name + " ";
                    }
                }

                PrimaryKey = pk.TrimEnd().Replace(" ", ",");
            }
        }
    }
}